﻿<div class="x_panel">
    <div class="x_title">
        <h2>نمودار ها</h2>
        <div class="clearfix"></div>
    </div>
    <div class="x_content">
        <div class="row">
            <div class="col-sm-6"><canvas id="myChart" width="400" height="300"></canvas></div>
            <div class="col-sm-6"><canvas id="PieChart" width="400" height="300"></canvas></div>
        </div>
        @*<div class="row">
                <div class="col-sm-6"><canvas id="LineChart" width="400" height="300"></canvas></div>
                <div class="col-sm-6"><canvas id="DonateChart" width="400" height="300"></canvas></div>
            </div>*@
    </div>
</div>

<script>
    var ctx = document.getElementById('myChart').getContext('2d');
    var myChart = new Chart(ctx, {
        type: 'bar',
        data: {
            labels: @Html.Raw(ViewBag.labels),
            datasets: [{
                label: 'وضعیت ثبت پذیرندگان',
                data: @Html.Raw(ViewBag.datasets),
                backgroundColor: [
                    'rgba(255, 99, 132, 0.2)',
                    'rgba(54, 162, 235, 0.2)',
                    'rgba(255, 206, 86, 0.2)',
                    'rgba(75, 192, 192, 0.2)',
                    'rgba(153, 102, 255, 0.2)',
                    'rgba(255, 159, 64, 0.2)'
                ],
                borderColor: [
                    'rgba(255, 99, 132, 1)',
                    'rgba(54, 162, 235, 1)',
                    'rgba(255, 206, 86, 1)',
                    'rgba(75, 192, 192, 1)',
                    'rgba(153, 102, 255, 1)',
                    'rgba(255, 159, 64, 1)'
                ],
                borderWidth: 1
            }]
        },
        options: {
            scales: {
                y: {
                    beginAtZero: true
                }
            }
        }
    });
</script>
<script>
    new Chart(document.getElementById("LineChart"), {
        type: 'line',
        data: {
            labels: [1500, 1600, 1700, 1750, 1800, 1850, 1900, 1950, 1999, 2050],
            datasets: [{
                data: [86, 114, 106, 106, 107, 111, 133, 221, 783, 2478],
                label: "تیکت ها",
                borderColor: "#3e95cd",
                fill: false
            }//, {
            //    data: [282, 350, 411, 502, 635, 809, 947, 1402, 3700, 5267],
            //    label: "Asia",
            //    borderColor: "#8e5ea2",
            //    fill: false
            //}, {
            //    data: [168, 170, 178, 190, 203, 276, 408, 547, 675, 734],
            //    label: "Europe",
            //    borderColor: "#3cba9f",
            //    fill: false
            //}, {
            //    data: [40, 20, 10, 16, 24, 38, 74, 167, 508, 784],
            //    label: "Latin America",
            //    borderColor: "#e8c3b9",
            //    fill: false
            //}, {
            //    data: [6, 3, 2, 2, 7, 26, 82, 172, 312, 433],
            //    label: "North America",
            //    borderColor: "#c45850",
            //    fill: false
            //}
            ]
        },
        options: {
            title: {
                display: true,
                text: 'World population per region (in millions)'
            }
        }
    });

</script>
<script>
    var ctx = document.getElementById("PieChart").getContext('2d');
    var myChart = new Chart(ctx, {
        type: 'pie',
        data: {
            labels:@Html.Raw(ViewBag.labelsStore),
            datasets: [{
                backgroundColor: [
                    "#2ecc71",
                    "#3498db",
                    "#95a5a6",
                    "#9b59b6",
                    "#f1c40f",
                    "#e74c3c",
                    "#34495e"
                ],
                data:@Html.Raw(ViewBag.datasetsStore)
            }]
        }
    });
</script>
<script>
    var ctx = document.getElementById('DonateChart').getContext('2d');
    var myChart = new Chart(ctx, {
        type: 'doughnut',
        data: {
            labels: ['Red', 'Blue', 'Yellow', 'Green', 'Purple', 'Orange'],
            datasets: [{
                label: '# of Votes',
                data: [12, 19, 3, 5, 2, 3],
                backgroundColor: [
                    'rgba(255, 99, 132, 0.2)',
                    'rgba(54, 162, 235, 0.2)',
                    'rgba(255, 206, 86, 0.2)',
                    'rgba(75, 192, 192, 0.2)',
                    'rgba(153, 102, 255, 0.2)',
                    'rgba(255, 159, 64, 0.2)'
                ],
                borderColor: [
                    'rgba(255, 99, 132, 1)',
                    'rgba(54, 162, 235, 1)',
                    'rgba(255, 206, 86, 1)',
                    'rgba(75, 192, 192, 1)',
                    'rgba(153, 102, 255, 1)',
                    'rgba(255, 159, 64, 1)'
                ],
                borderWidth: 1
            }]
        },
        options: {
            scales: {
                y: {
                    beginAtZero: true
                }
            }
        }
    });
</script>


